## wireshark-0.99.4.tar.gz

=== asn1/MAP_Dialogue/Makefile ===
# $Id: Makefile 18199 2006-05-21 14:36:05Z kukosa $

DISSECTOR_FILES=packet-MAP_DialoguePDU.c packet-MAP_DialoguePDU.h

all: generate_dissector

generate_dissector: $(DISSECTOR_FILES)

$(DISSECTOR_FILES): ../../tools/asn2wrs.py MAP_DialoguePDU.asn packet-MAP-DialoguePDU-template.c packet-MAP-DialoguePDU-template.h MAP_DialoguePDU.cnf
	python ../../tools/asn2wrs.py -b -e -p MAP_DialoguePDU -c MAP_DialoguePDU.cnf -s packet-MAP-DialoguePDU-template MAP_DialoguePDU.asn

clean:
	rm -f parsetab.py $(DISSECTOR_FILES)

copy_files: generate_dissector
	cp $(DISSECTOR_FILES) ../../epan/dissectors

=== asn1/acp133/Makefile ===
# $Id: Makefile 18199 2006-05-21 14:36:05Z kukosa $

DISSECTOR_FILES=packet-acp133.c packet-acp133.h

all: generate_dissector

generate_dissector: $(DISSECTOR_FILES)

$(DISSECTOR_FILES): ../../tools/asn2wrs.py acp133.asn packet-acp133-template.c packet-acp133-template.h acp133.cnf
	python ../../tools/asn2wrs.py -b -e -p acp133 -c acp133.cnf -s packet-acp133-template  acp133.asn

clean:
	rm -f parsetab.py $(DISSECTOR_FILES)

copy_files: generate_dissector
	cp $(DISSECTOR_FILES) ../../epan/dissectors

=== asn1/cdt/Makefile ===
# $Id: Makefile 18199 2006-05-21 14:36:05Z kukosa $

PROTOCOL_NAME=cdt
DISSECTOR_FILES=packet-$(PROTOCOL_NAME).c packet-$(PROTOCOL_NAME).h

all: generate_dissector

generate_dissector: $(DISSECTOR_FILES)

$(DISSECTOR_FILES): ../../tools/asn2wrs.py $(PROTOCOL_NAME).asn packet-$(PROTOCOL_NAME)-template.c packet-$(PROTOCOL_NAME)-template.h $(PROTOCOL_NAME).cnf 
	python ../../tools/asn2wrs.py -b -e -p $(PROTOCOL_NAME) -c $(PROTOCOL_NAME).cnf -s packet-$(PROTOCOL_NAME)-template $(PROTOCOL_NAME).asn

clean:
	rm -f parsetab.py $(DISSECTOR_FILES)

copy_files: generate_dissector
	cp $(DISSECTOR_FILES) ../../epan/dissectors

=== asn1/cmip/Makefile ===
# $Id: Makefile 18199 2006-05-21 14:36:05Z kukosa $

DISSECTOR_FILES=packet-cmip.c packet-cmip.h

all: generate_dissector

generate_dissector: $(DISSECTOR_FILES)

$(DISSECTOR_FILES): ../../tools/asn2wrs.py CMIP.asn packet-cmip-template.c packet-cmip-template.h cmip.cnf 
	python ../../tools/asn2wrs.py -b -e -p cmip -c cmip.cnf -s packet-cmip-template CMIP.asn

clean:
	rm -f cmip-exp.cnf parsetab.py $(DISSECTOR_FILES)

copy_files: generate_dissector
	cp $(DISSECTOR_FILES) ../../epan/dissectors

=== asn1/disp/Makefile ===
# $Id: Makefile 18199 2006-05-21 14:36:05Z kukosa $

DISSECTOR_FILES=packet-disp.c packet-disp.h

all: generate_dissector

generate_dissector: $(DISSECTOR_FILES)

$(DISSECTOR_FILES): ../../tools/asn2wrs.py disp.asn packet-disp-template.c packet-disp-template.h disp.cnf
	python ../../tools/asn2wrs.py -b -e -p disp -c disp.cnf -s packet-disp-template  disp.asn

clean:
	rm -f parsetab.py $(DISSECTOR_FILES) *~

copy_files: generate_dissector
	cp $(DISSECTOR_FILES) ../../epan/dissectors

=== asn1/ftam/Makefile ===
# $Id: Makefile 18199 2006-05-21 14:36:05Z kukosa $

DISSECTOR_FILES=packet-ftam.c packet-ftam.h

all: generate_dissector

generate_dissector: $(DISSECTOR_FILES)

$(DISSECTOR_FILES): ../../tools/asn2wrs.py ISO8571-FTAM.asn packet-ftam-template.c packet-ftam-template.h ftam.cnf
	python ../../tools/asn2wrs.py -b -e -p ftam -c ftam.cnf -s packet-ftam-template ISO8571-FTAM.asn

clean:
	rm -f parsetab.py $(DISSECTOR_FILES)

copy_files: generate_dissector
	cp $(DISSECTOR_FILES) ../../epan/dissectors

=== asn1/ftbp/Makefile ===
# $Id: Makefile 18199 2006-05-21 14:36:05Z kukosa $

DISSECTOR_FILES=packet-ftbp.c packet-ftbp.h

all: generate_dissector

generate_dissector: $(DISSECTOR_FILES)

$(DISSECTOR_FILES): ../../tools/asn2wrs.py ftbp.asn packet-ftbp-template.c packet-ftbp-template.h ftbp.cnf 
	python ../../tools/asn2wrs.py -b -e -p ftbp -c ftbp.cnf -s packet-ftbp-template  ftbp.asn

clean:
	rm -f parsetab.py $(DISSECTOR_FILES)

copy_files: generate_dissector
	cp $(DISSECTOR_FILES) ../../epan/dissectors

=== asn1/gsm_ss/Makefile ===
# $Id: Makefile 18199 2006-05-21 14:36:05Z kukosa $

DISSECTOR_FILES=packet-gsm_ss.c packet-gsm_ss.h

all: generate_dissector

generate_dissector: $(DISSECTOR_FILES)

$(DISSECTOR_FILES): ../../tools/asn2wrs.py SS-Operations.asn packet-gsm_ss-template.c packet-gsm_ss-template.h gsm_ss.cnf
	python ../../tools/asn2wrs.py -b -e -p gsm_ss -c gsm_ss.cnf -s packet-gsm_ss-template SS-Operations.asn

clean:
	rm -f parsetab.py $(DISSECTOR_FILES)

copy_files: generate_dissector
	cp $(DISSECTOR_FILES) ../../epan/dissectors

=== asn1/gsmmap/Makefile ===
# $Id: Makefile 18199 2006-05-21 14:36:05Z kukosa $

DISSECTOR_FILES=packet-gsm_map.c packet-gsm_map.h

all: generate_dissector

generate_dissector: $(DISSECTOR_FILES)

$(DISSECTOR_FILES): ../../tools/asn2wrs.py GSMMAP.asn packet-gsm_map-template.c packet-gsm_map-template.h gsmmap.cnf 
	python ../../tools/asn2wrs.py -b -e -p gsm_map -c gsmmap.cnf -s packet-gsm_map-template GSMMAP.asn

clean:
	rm -f parsetab.py $(DISSECTOR_FILES)

copy_files: generate_dissector
	cp $(DISSECTOR_FILES) ../../epan/dissectors

=== asn1/h225/Makefile ===
# $Id: Makefile 18866 2006-08-10 09:02:24Z jmayer $

DISSECTOR_FILES=packet-h225.c packet-h225.h

all: generate_dissector

generate_dissector: $(DISSECTOR_FILES)

$(DISSECTOR_FILES): ../../tools/asn2wrs.py H323-MESSAGES.asn packet-h225-template.c packet-h225-template.h h225.cnf 
	python ../../tools/asn2wrs.py -e -p h225 -c h225.cnf -s packet-h225-template H323-MESSAGES.asn

clean:
	rm -f parsetab.py $(DISSECTOR_FILES)

copy_files: generate_dissector
	cp $(DISSECTOR_FILES) ../../epan/dissectors

=== asn1/h235/Makefile ===
# $Id: Makefile 18199 2006-05-21 14:36:05Z kukosa $

DISSECTOR_FILES=packet-h235.c packet-h235.h

all: generate_dissector

generate_dissector: $(DISSECTOR_FILES)

$(DISSECTOR_FILES): ../../tools/asn2wrs.py packet-h235-template.c packet-h235-template.h h235.cnf
	python ../../tools/asn2wrs.py -p h235 -c h235.cnf -s packet-h235-template H235-SECURITY-MESSAGES.asn

clean:
	rm -f parsetab.py $(DISSECTOR_FILES)

copy_files: generate_dissector
	cp $(DISSECTOR_FILES) ../../epan/dissectors

=== asn1/ldap/Makefile ===
# $Id: Makefile 18199 2006-05-21 14:36:05Z kukosa $

DISSECTOR_FILES=packet-ldap.c packet-ldap.h

all: generate_dissector

generate_dissector: $(DISSECTOR_FILES)

$(DISSECTOR_FILES): ../../tools/asn2wrs.py Lightweight-Directory-Access-Protocol-V3.asn packet-ldap-template.c packet-ldap-template.h ldap.cnf $(ASN_EXPORTS)
	python ../../tools/asn2wrs.py -b -e -p ldap -c ldap.cnf -s packet-ldap-template Lightweight-Directory-Access-Protocol-V3.asn

clean:
	rm -f parsetab.py $(DISSECTOR_FILES)

copy_files: generate_dissector
	cp $(DISSECTOR_FILES) ../../epan/dissectors

=== debian/control ===
Source: wireshark
Section: net
Priority: optional
Maintainer: Frederic Peters <fpeters@debian.org>
Standards-Version: 3.7.2.0
Build-Depends: libgtk2.0-dev (>=2.4.0-0), libpcap0.8-dev, flex, libz-dev, dpatch, debhelper (>= 3.0), libtool, python, automake1.9, autoconf, autotools-dev, libadns1-dev, xsltproc, docbook-xsl (>= 1.64.1.0-0), libpcre3-dev, libcap-dev, bison, libgnutls-dev
Build-Conflicts: libsnmp4.2-dev, libsnmp-dev

Package: wireshark-common
Architecture: any
Depends: ${shlibs:Depends}
Recommends: wireshark (>= ${Source-Version}) | tshark (>= ${Source-Version})
Replaces: ethereal-common
Conflicts: ethereal-common
Description: network traffic analyser (common files)
 Wireshark is a network traffic analyzer, or "sniffer", for Unix and
 Unix-like operating systems. A sniffer is a tool used to capture 
 packets off the wire. Wireshark decodes numerous protocols (too many
 to list).
 .
 This package provides files common to both wireshark (the GTK+ version)
 and tshark (the console version).

Package: wireshark
Architecture: any
Depends: ${shlibs:Depends}, wireshark-common (= ${Source-Version})
Recommends: gksu
Replaces: ethereal
Conflicts: ethereal
Description: network traffic analyzer
 Wireshark is a network traffic analyzer, or "sniffer", for Unix and
 Unix-like operating systems. A sniffer is a tool used to capture 
 packets off the wire. Wireshark decodes numerous protocols (too many
 to list).
 .
 This package provides wireshark (the GTK+ version)

Package: tshark
Architecture: any
Depends: ${shlibs:Depends}, wireshark-common (= ${Source-Version})
Replaces: tethereal
Conflicts: tethereal
Description: network traffic analyzer (console)
 Wireshark is a network traffic analyzer, or "sniffer", for Unix and
 Unix-like operating systems. A sniffer is a tool used to capture 
 packets off the wire. Wireshark decodes numerous protocols (too many
 to list).
 .
 This package provides the console version of wireshark, named
 "tshark".

Package: wireshark-dev
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, omniidl (>> 1:3.0.4.1-10) | omniidl4 (>= 4.0.1-2) , libpcap0.8-dev, libtool, libglib2.0-dev, python, snacc, autotools-dev, debhelper, cdbs, automake1.8, autoconf
Replaces: ethereal-dev
Conflicts: ethereal-dev
Description: network traffic analyser (development tools)
 Wireshark is a network traffic analyzer, or "sniffer", for Unix and
 Unix-like operating systems. A sniffer is a tool used to capture 
 packets off the wire. Wireshark decodes numerous protocols (too many
 to list).
 .
 This package provides idl2wrs and other necessary files to develop
 new packet dissectors.

=== debian/rules ===
#!/usr/bin/make -f
# MAde with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpatch/dpatch.make 
DB2MAN=/usr/share/xml/docbook/stylesheet/nwalsh/manpages/docbook.xsl


DEB_HOST_GNU_TYPE       ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE      ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

PYTHON_VERSION=python2.3

# Enable IEEE-conformant floating point math on alphas (not the default)
ifeq (alpha-linux,$(DEB_HOST_GNU_TYPE))
  CFLAGS += -mieee
endif

idl2deb.1: idl2deb.dbk
	xsltproc --nonet --novalid $(DB2MAN) $<

asn2deb.1: asn2deb.dbk
	xsltproc --nonet --novalid $(DB2MAN) $<


CONFIGURE_FLAGS=--prefix=/usr --sysconfdir=/usr/share/wireshark --datadir=/usr/share/wireshark --disable-static --disable-ssl --without-ucdsnmp --enable-gtk2 --libdir=/usr/lib/wireshark CFLAGS="$(CFLAGS)";

configure: configure-stamp
configure-stamp: patch
	dh_testdir

	cp /usr/share/misc/config.guess /usr/share/misc/config.sub .
	libtoolize --force --copy
	autoheader
	autoconf
	-mkdir aclocal-missing
	(if [ ! -x ./configure ]; then \
	   ./autogen.sh $(CONFIGURE_FLAGS) CFLAGS="$(CFLAGS)"; \
	fi)

	./configure $(CONFIGURE_FLAGS) CFLAGS="$(CFLAGS)"

	touch configure-stamp

build: build-stamp idl2deb.1 asn2deb.1
build-stamp: configure-stamp
	$(MAKE)

	touch build-stamp

patch: patch-stamp
patch-stamp:
	dpatch apply-all


clean: unpatch-stamp
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	-$(MAKE) distclean
	rm -f rdps wireshark.1 tshark.1 idl2deb.1 wireshark-filter.4 asn2deb.1
	rm -f conftest conftest.c
	rm -f config.guess config.sub config.log
	rm -f config.h.in config.h configure

	dh_clean

unpatch: unpatch-stamp
unpatch-stamp:
	dpatch deapply-all
	rm -rf patch-stamp debian/patched

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the files into debian/tmp
	$(MAKE) install DESTDIR=`pwd`/debian/tmp
	mkdir -p `pwd`/debian/tmp/usr/share/applications/
	cp wireshark.desktop `pwd`/debian/tmp/usr/share/applications/
	cp tools/idl2wrs.sh `pwd`/debian/tmp/usr/bin/
	cp debian/wireshark-root.desktop `pwd`/debian/tmp/usr/share/applications/
	mkdir -p `pwd`/debian/tmp/usr/share/pixmaps/
	cp image/hi48-app-wireshark.png `pwd`/debian/tmp/usr/share/pixmaps/
	cp image/wsicon32.xpm `pwd`/debian/tmp/usr/share/pixmaps/
	mkdir -p `pwd`/debian/tmp/usr/lib/$(PYTHON_VERSION)/site-packages/
	install -m 755 `pwd`/idl2deb `pwd`/debian/tmp/usr/bin/
	install -m 755 `pwd`/asn2deb `pwd`/debian/tmp/usr/bin/
	cp `pwd`/tools/wireshark_be.py `pwd`/tools/wireshark_gen.py \
			`pwd`/debian/tmp/usr/lib/$(PYTHON_VERSION)/site-packages/
	mkdir -p `pwd`/debian/tmp/usr/include/wireshark/
	for F in `cat debian/wireshark-dev.header-files`; do \
		cp --parents $$F `pwd`/debian/tmp/usr/include/wireshark; \
	done
	# .a is no longer built; why was is used ?
	#cp `pwd`/wiretap/libwiretap.a `pwd`/debian/tmp/usr/lib/
	-rm -rf `pwd`/debian/tmp/usr/man
	dh_installman

	dh_movefiles
	dh_installdocs
	-rm debian/menu   # from upstream debian/ package
	dh_installmenu
	dh_installchangelogs NEWS
	dh_strip
	dh_compress
	dh_fixperms

	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
